# FieldPOC configuration

`fieldpoc.json` is the main configuration file for FieldPOC. It is in JSON format.

## Example config

```
{
  "extensions": {
    "file": "fieldpoc_extensions.json"
  },
  "controller": {
    "host": "127.0.0.1",
    "port": 9437
  },
  "dect": {
    "host": "10.222.222.11",
    "username": "omm",
    "password": "xxx",
    "sipsecret": "51df84aace052b0e75b8c1da5a6da9e2"
  },
  "yate": {
    "host": "127.0.0.1",
    "port": 5039
  },
  "database": {
    "hostname": "127.0.0.1",
    "username": "fieldpoc",
    "password": "fieldpoc",
    "database": "fieldpoc"
  }
}
```

## Controller

Configuration for the FieldPOC controller.

- `host`: IP address to listen on for controller socket.
- `port`: Port to listen on for controller socket.

## DECT

- `host`: IP address of the OMM.
- `username`: Username of OMM account.
- `password`: Password of OMM account.
- `sipsecret`: Secret used to seed DECT SIP account passwords.

## Yate

- `host`: IP address Yate control socket is reachable.
- `port`: Port yate control socket is reachable.

## Database

- `hostname`: IP address PostgreSQL database is reachable.
- `username`: Username of the database user.
- `password`: Password of the database user.
- `database`: Database name for FieldPOC.

