# FieldPOC controller

The FieldPOC controller is a HTTP REST API to help managing the current state of the FieldPOC system.

Connect to it via the IP address von port set in the [FieldPOC configuration](configuration.md).

## API Endpoints

### `/sync`

```bash
curl --json '{}' http://127.0.0.1:9437/sync
```

Notify all parts of FieldPOC to check configuration of connected components and update it.

### `/queues`

```bash
curl http://127.0.0.1:9437/queues
```

Show internal message queue stats.

### `/reload`

```bash
curl --json '{}' http://127.0.0.1:9437/reload
```

Read [FieldPOC extensions specification](extensions.md) file and apply it.

### `/claim`

```bash
curl --json '{"extension": "1111", "token": "1234"}' http://127.0.0.1:9437/claim
```

Bind extension to DECT device

- `extension` is the current extension number of the DECT device.
- `token` is the `dect_claim_token` of the extension that should get applied.

This works because newly connected DECT phones get a temporary number assigned.
This temporary number is usually the current number.
But it is possible to use any extension, so the extension for a device can be changed any time.
