# Extensions data

`extensions.json` contains all extension a FieldPOC instance provides.

## Example

```
{
  "extensions": {
    "2574": {
      "name": "clerie",
      "type": "dect",
      "trunk": false,
      "dialout_allowed": true,
      "dect_claim_token": "2574"
    },
    "5375": {
      "name": "n0emis",
      "type": "callgroup",
      "dialout_allowed": true,
      "trunk": false,
      "callgroup_members": [
        "5376",
        "5377",
        "5379"
      ]
    },
    "5376": {
      "name": "n0emis SIP",
      "type": "sip",
      "dialout_allowed": true,
      "trunk": false,
      "outgoing_extension": "5375",
      "sip_password": "wieK5xal"
    },
    "5377": {
      "name": "n0emis DECT",
      "type": "dect",
      "dialout_allowed": true,
      "trunk": false,
      "outgoing_extension": "5375",
      "dect_ipei": "10345 0136625 3"
    },
    "9998": {
      "name": "Temporary Numbers",
      "trunk": false,
      "dialout_allowed": true,
      "type": "temp"
    },
    "9997": {
      "name": "DECT Claim Extensions",
      "type": "static",
      "dialout_allowed": false,
      "trunk": true,
      "static_target": "external/nodata//run/current-system/sw/bin/dect_claim"
    }
  }
}

```

## Extensions definition

The key for an extension is always the number of the extension.

Following keys are required:

- `name`: Description of the extension.
- `type`: Type of the extension.

## Extension types

Based on the type of the extension more options are required.

### SIP extension

- `type`: `sip`
- `sip_password`: Plain text password for the SIP account.

### DECT extension

- `type`: `dect`
- `dect_claim_token`: Phone number part used to connect a DECT phone to this extension.
- `dect_ipei`: IPEI of the DECT phone this extension should be connected to.

`dect_claim_token` and `dect_ipei` are mutally exclusive.

### Static extension

- `type`: `static`
- `static_target`: Path to script that is executed on calling this extension.

### Temporary extension

- `type`: `temp`

### Callgroup extension

- `type`: `callgroup`
- `callgroup_members`: List of extension numbers that belong to this callgroup.
